Subject: Re: [PATCH] ax25.h unsigned long type for ax25 timers

From: Bernard Pidoux <[email-masked]>
Date: Fri, 20 Jun 2008 00:38:23 +0200

David,

Your explanation is perfectly clear and I understand the problem now.
Thank you very much for taking the time to explain me that.

Bernard Pidoux

David Miller wrote:
> From: Bernard Pidoux <[email-masked]>
> Date: Thu, 19 Jun 2008 18:28:46 +0200
> 
>> Unfortunately I don't quite understand exactly why a structure in user 
>> space cannot be changed.
> 
> Because there are userland binaries already compiled out there using
> the current structure layout.  If we change the kernel, those binaries
> stop using a datastructure that matches what the kernel is using.
> Such binaries will break.
> 
> In generic, because of this, you can never change the layout of a
> data structure exported to userland as a kernel interface.
> 
>